# AMBARI OZONE MPACK
<h1>Ozone Management Pack for Ambari.</h1>

Install Ozone with Ambari using this management pack created by Acceldata. Ozone provided in this distribution supports HA only.

#### Version Key
- ozone-1.4.0.tar.gz  - Ozone 1.4.0 mpack, compatible from ODP v3.2.3.0-2 release onwards.

#### Usage Notes
- Minimal install requires Ambari
- For Authentication integration it is compatible Kerberos and/or SSL
- For Authorisation integration it requires Ranger without audit support.

# Installation
Steps to Install Ambari Ozone Mpack:
1. Download branch from code and zip with tar.gz extension
2. Upload gzipped file to ambari-server
3. Execute below command for installation
```
ambari-server install-mpack --mpack=ozone-1.4.0.tar.gz --verbose
```
After running above commands you will see this message
```
INFO: Management pack ozone-ambari-mpack-1.4.0 successfully installed! Please restart ambari-server.
INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
Ambari Server 'install-mpack' completed successfully.
```

4. Restart amabri server
5. Login to Ambari UI and go to Add Ozone service
5. Select atleast 3 hosts for Ozone Manager, 3 hosts for Storage Container Manager, host for S3 Gateway, host for Recon server, and atleast 3 nodes for Datanode.
6. Configure Ozone as per your usecase and deploy service.
7. Start all stopped or required services

# Uninstallation
Steps to Uninstall Ambari Ozone Mpack:
1. Login to Ambari service and goto Ozone section
2. Stop Ozone servers and delete permanently
3. Execute below command for uninstallation
```
ambari-server uninstall-mpack --mpack-name=ozone-ambari-mpack
ambari-server restart
```
